Page MenuHomePhabricator

Huggle3 is not working in the German Wikivoyage
Closed, ResolvedPublic

Description

Which changes are needed so that huggle3 is working on the German Wikivoyage?
Only the spanish Wikivoyage is available in the menue to select. The german WV is missing. Thx for your help.


List of stuff:

  • Initial configuration << done
  • Create whitelist << done
  • Insert to meta << done
  • Translate Project:Huggle << done
  • Translate Project:Huggle/Message << done
  • Translate warn-N templates << waiting

Event Timeline

Bernello created this task.Oct 7 2015, 6:27 PM
Bernello raised the priority of this task from to Needs Triage.
Bernello updated the task description. (Show Details)
Bernello added a project: Huggle.
Bernello added a subscriber: Bernello.
Restricted Application added subscribers: Josve05a, Luke081515, Aklapper. · View Herald TranscriptOct 7 2015, 6:27 PM

I don't know wich user is able to solve this problem. Therefore I added no specific username.

Petrb added a subscriber: Petrb.Oct 11 2015, 6:41 PM

I will take care of this shortly

Petrb added a comment.EditedOct 12 2015, 9:00 AM

These pages need to be created:

https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Message
https://de.wikivoyage.org/wiki/Wikivoyage:Huggle

In additions, some warning templates need to be imported, you can find examples here:

http://en.wikipedia.org/wiki/Template:Huggle you need to import at least 1 set of 4 warning templates, that means at least warn-N templates.

That means, these 6 pages need to be created, in German language.

Petrb updated the task description. (Show Details)Oct 12 2015, 9:04 AM
Petrb set Security to None.

OK, I created the pages

https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Message
https://de.wikivoyage.org/wiki/Wikivoyage:Huggle

I think ist a good idea to import the Warning templates from the German Wikipedia, so no translation is needed.
Are the Version historys of the templates mandatory? Or can I just Copy and Paste the templates?

Thanks for your efforts.

Petrb added a comment.Oct 13 2015, 1:40 PM

You can just copy paste them, send me links once it's done

Petrb added a comment.Oct 14 2015, 8:53 AM

Ok, can you tell me which of these templates can be used for warnings 1-4?

Petrb updated the task description. (Show Details)Oct 14 2015, 8:54 AM
Petrb added a comment.Oct 16 2015, 7:41 AM

I can't use warnings with different level count than others. I will set up warn templates and others can be enabled later when you get their level 3 equivalents

Ok, now I added 1,2,3 for every template, so we have now:

https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Vorlagen/Diskussion-3 ( huggle/warn-npov-3)
https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Vorlagen/Diskussion-2 ( huggle/warn-npov-2)
https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Vorlagen/Diskussion-1 ( huggle/warn-npov-1)
https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Vorlagen/Keine_persönlichen_Angriffe-3 ( huggle/warn-attack-3)
https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Vorlagen/Keine_persönlichen_Angriffe-2 ( huggle/warn-attack-2)
https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Vorlagen/Keine_persönlichen_Angriffe-1 ( huggle/warn-attack-1)
https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Vorlagen/Textlöschung-3 ( huggle/warn-delete-3)
https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Vorlagen/Textlöschung-2 ( huggle/warn-delete-2)
https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Vorlagen/Textlöschung-1 ( huggle/warn-delete-1)
https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Vorlagen/Weblinks-3 ( huggle/warn-spam-3)
https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Vorlagen/Weblinks-2 ( huggle/warn-spam-2)
https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Vorlagen/Weblinks-1 ( huggle/warn-spam-1)
https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Vorlagen/Warnung-3 ( huggle/warn-3)
https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Vorlagen/Warnung-2 ( huggle/warn-2)
https://de.wikivoyage.org/wiki/Wikivoyage:Huggle/Vorlagen/Warnung-1 ( huggle/warn-1)

I hope that this will be more useful for you, Thanks, Bernello

Petrb triaged this task as High priority.Nov 9 2015, 1:14 PM
Restricted Application added a subscriber: Matthewrbowker. · View Herald TranscriptNov 9 2015, 1:14 PM
Petrb lowered the priority of this task from High to Low.Apr 2 2016, 8:13 AM

Hi, I added all these templates to config now, but the revert messages should be translated, see https://de.wikivoyage.org/w/index.php?title=Wikivoyage:Huggle/Config&diff=894869&oldid=851530

Ok, thanks for your efforts. I will make the translations soon.

Petrb closed this task as Resolved.Sep 29 2016, 11:14 PM
Petrb claimed this task.